/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for AneurysmTypes
 */
public enum EnumCM_AneurysmTypes {
	
	DISSECTING_ANEURYSM("dissecting aneurysm"),
	INFLAMMATORY_ANEURYSM("inflammatory aneurysm"),
	RUPTURED_ANEURYSM("ruptured aneurysm"),
	BERRY_ANEURYSM("berry aneurysm"),
	MIXED_ANEURYSM("mixed aneurysm"),
	RACEMOSE_ANEURYSM("racemose aneurysm"),
	CIRSOID_ANEURYSM("cirsoid aneurysm"),
	MYCOTIC_ANEURYSM("mycotic aneurysm"),
	COMPOUND_ANEURYSM("compound aneurysm"),
	MILIARY_ANEURYSM("miliary aneurysm"),
	SACCULAR_ANEURYSM("saccular aneurysm"),
	VARICOSE_ANEURYSM("varicose aneurysm"),
	FUSIFORM_ANEURYSM("fusiform aneurysm"),
	TRAUMATIC_ANEURYSM("traumatic aneurysm"),
	THROMBOSED_ANEURYSM("thrombosed aneurysm"),
	EXPANDING_ANEURYSM("expanding aneurysm"),
	CALCIFIED_ANEURYSM("calcified aneurysm"),
	MULTIPLE_ANEURYSM("multiple aneurysm"),
	CYLINDROID_ANEURYSM("cylindroid aneurysm"),
	SERPENTINE_ANEURYSM("serpentine aneurysm");

	private String value;

	EnumCM_AneurysmTypes(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
